Bug 138817 - USB mouse freezes (Via USB Controller)
USB mouse freezes (Via USB Controller)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 07:29 EST by Need Real Name
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-11-11 07:29:15 EST
Description of problem:
after a period of use the mouse will freeze

Nov 11 12:20:08 grover kernel: drivers/usb/input/hid-core.c: input irq
status -84 received
Nov 11 12:20:38 grover last message repeated 1255 times
Nov 11 12:20:38 grover kernel: usb 1-2: USB disconnect, address 2
Nov 11 12:20:38 grover hal.hotplug[3300]: DEVPATH is not set
Nov 11 12:20:41 grover kernel: usb 1-2: new low speed USB device using
address 3
Nov 11 12:20:41 grover hal.hotplug[3367]: DEVPATH is not set
Nov 11 12:20:41 grover kernel: input: USB HID v1.10 Mouse [Microsoft
Microsoft 3-Button Mouse with IntelliEye(TM)] on usb-0000:00:07.2-2
Comment 1 Adam Bowns 2004-11-23 20:46:46 EST
I am also getting the error:

kernel: drivers/usb/input/hid-core.c: input irq status -84 received

But my USB mouse seems to be working fine (Logitech MX Laser). The
above message keeps popping up in my logs all the time, so whatever
the problem is, its occuring all the time.

Kernel version:
kernel-2.6.9-1.681_FC3
Comment 2 Warren Togami 2004-11-23 21:40:07 EST
Are you absolutely sure this mouse is working properly on other
computers, other kernels, and other operating systems in the long
term?  I've once had a Logitech USB mouse that exhibited behavior like
this.  It turned out the mouse was increasingly becoming bad, but it
exhibited this behavior only after a few minutes of use.
Comment 3 Adam Bowns 2004-11-24 17:47:51 EST
I've had it about 3 months now, and I haven't noticed a single problem
with its operation, not even a small one. I've only ever used it on a
linux system (that's all I have at home), so I can't comment about
other systems, but it was working fine when I was still running FC2
and also worked fine with all the errata kernels released for both FC2
and FC3,

The only other problem I've had which I think might be related to the
mouse is described in more detail in bug 134443

Just to clarify, I'm not getting the whole error message the first
poster reported, the only error message I am getting is:

kernel: drivers/usb/input/hid-core.c: input irq status -84 received
Comment 4 Adam Pribyl 2004-12-13 06:23:38 EST
I also have this problem. It's dell precision 370 and dell optical USB
mouse. The mouse is freezing in X without any kernel message at all.
It helps to switch to console where gpm says:
 Dec 13 12:08:58 adam gpm[2423]: *** info [mice.c(1766)]:
 Dec 13 12:08:58 adam gpm[2423]: imps2: Auto-detected intellimouse PS/2
and back.

I X log there is:
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded
SetClientVersion: 0 8
SetClientVersion: 0 8
SetGrabKeysState - disabled
SetGrabKeysState - enabled
SetGrabKeysState - enabled
.... lot of these...
SetClientVersion: 0 8
SetGrabKeysState - disabled
SetGrabKeysState - enabled
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Mouse0: ps2EnableDataReporting: succeeded
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Mouse0: ps2EnableDataReporting: succeeded
SetClientVersion: 0 8
SetGrabKeysState - disabled
SetGrabKeysState - enabled
SetClientVersion: 0 8
SetGrabKeysState - disabled
SetGrabKeysState - enabled
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Mouse0: ps2EnableDataReporting: succeeded

Here you see the mouse was reinicialized.


xorg.conf:
 Section "InputDevice"
         Identifier  "Mouse0"
         Driver      "mouse"
         Option      "Protocol" "IMPS/2"
         Option      "Device" "/dev/input/mice"
         Option      "ZAxisMapping" "4 5"
         Option      "Emulate3Buttons" "yes"
 EndSection

I trace that this is happening mainly when selecting and pasting with
the mouse.

I've come to this bug from:
http://z.iwethey.org/forums/render/content/show?contentid=184544
Comment 5 Adam Pribyl 2005-02-09 11:27:52 EST
I almost sure that I can reproduce this bug. Most simple is to use any
drawing editor (gimp, inkscape..) and move/drag/draw with shift and
ctrl keys pressed. It does not happen when moving without any key pressed.
Comment 6 Dave Jones 2005-07-15 15:47:51 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Adam Pribyl 2005-07-18 02:56:44 EDT
I do not have this configuration available anymore.:( Original reporter?
Comment 8 Dave Jones 2005-10-02 20:28:49 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.